varying vec3 V_eye;
varying vec3 L_eye;
varying vec3 N_eye;
varying float x;

void main(void)
{
	V_eye = -vec3(gl_ModelViewMatrix*gl_Vertex);
	L_eye = gl_LightSource[0].position.xyz + V_eye;
	N_eye = gl_NormalMatrix*gl_Normal;

	x = gl_Vertex.x;

	gl_FrontColor = gl_Color;
	gl_Position = ftransform();
}

